%global oname jaxb-api
Name:          glassfish-jaxb-api
Version:       2.2.3
Release:       2%{?dist}
Summary:       Java Architecture for XML Binding
Group:         Development/Libraries
License:       CDDL or GPLv2 with exception
URL:           http://jaxb.java.net/
Source0:       http://download.java.net/maven/2/javax/xml/bind/jaxb-api/%{version}/jaxb-api-%{version}-sources.jar
Source1:       http://download.java.net/maven/2/javax/xml/bind/jaxb-api/%{version}/jaxb-api-%{version}.pom
Patch0:        %{name}-2.2.3-fixbuild.patch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils

BuildRequires: java-javadoc
BuildRequires: bea-stax-api
BuildRequires: forge-parent
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared-osgi

Requires:      bea-stax-api
Requires:      java >= 1:1.6.0
Requires:      jpackage-utils
BuildArch:     noarch

%description
Glassfish - JAXB (JSR 222) API.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{oname}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Glassfish - JAXB (JSR 222) API.

This package contains javadoc for %{name}.

%prep
%setup -T -q -c

# fixing incomplete source directory structure
mkdir -p src/main/java src/main/resources

(
  cd src/main/java
  jar -xf %{SOURCE0}
  find . -iname 'package.html' -delete
  rm -rf META-INF
)

cp -p %{SOURCE1} pom.xml

%patch0 -p0

sed -i 's|<location>${basedir}/offline-javadoc</location>|<location>%{_javadocdir}/java</location>|' pom.xml

# clone source directory structure
find src/ -type d | while read dirname ; do
  newdirname=`echo $dirname | sed "s:src/main/java:src/main/resources:g"`
  mkdir -p $newdirname
done

# copy Messages.properties files except *.java sources
find src/ -type f | grep -v "\.java" | while read cpfrom ; do
  cpto=`echo $cpfrom | sed "s:src/main/java:src/main/resources:g"`
  cp $cpfrom $cpto
done

%build

mvn-rpmbuild install javadoc:javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{oname}-%{version}.jar %{buildroot}%{_javadir}/%{oname}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{oname}.pom
%add_maven_depmap JPP-%{oname}.pom %{oname}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{oname}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{oname}

%files
%{_javadir}/%{oname}.jar
%{_mavenpomdir}/JPP-%{oname}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{oname}

%changelog
* Tue Jan 24 2012 gil cattaneo <puntogil@libero.it> 2.2.3-2
- revert to 2.2.3 (stable release)
- fix License field

* Fri Jul 22 2011 gil cattaneo <puntogil@libero.it> 2.2.3-1
- initial rpm